using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HighWayIot.Plc.PlcEntity
{
    public enum RgvStationEnum
    {
        [Description("裝圈工位RIFD触发")]
        RgvRingInstallStation = 0,

        [Description("1#工位RIFD触发")]
        Rgv1Station,

        [Description("2#工位RIFD触发")]
        Rgv2Station,

        [Description("3#工位RIFD触发")]
        Rgv3Station,

        [Description("4#工位RIFD触发")]
        Rgv4Station,

        [Description("5#工位RIFD触发")]
        Rgv5Station,

        [Description("卸胎工位RIFD触发")]
        RgvTireUnloadingStation,

        [Description("弯道等待工位RIFD触发")]
        RgvBendWaitStation,

        [Description("3#称重工位RIFD触发")]
        Rgv3WeighCalibrationStation,

        [Description("4#称重工位RIFD触发")]
        Rgv4WeighCalibrationStation,

        [Description("5#称重工位RIFD触发")]
        Rgv5WeighCalibrationStation,

        [Description("主线入端识别工位RIFD触发")]
        RgvMainLineEntranceStation,

        [Description("主线出端识别工位RIFD触发")]
        RgvMainLineExitStation,

        [Description("辅线1#工位RIFD触发")]
        RgvAuxline1Station,

        [Description("辅线2#工位RIFD触发")]
        RgvAuxline2Station,

        [Description("辅线3#工位RIFD触发")]
        RgvAuxline3Station,

        [Description("辅线4#工位RIFD触发")]
        RgvAuxline4Station,
    }
}
